> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# projecttype

> Project type list. Encodes Default project duration in extra info.

## "projecttype" MDO List

Project type list. Encodes Default project duration in extra info.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ProjectTypeProvider">ProjectTypeProvider</see> class.
The name of the MDO list is 'projecttype'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/projecttype
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("projecttype", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name           | StyleHint | ExtraInfo          |
| -- | -------------- | --------- | ------------------ |
| 3  | Annet          |           | duration=0\&unit=0 |
| 1  | DM/Kampanje    |           | duration=0\&unit=0 |
| 4  | Guided project |           | duration=3\&unit=6 |
| 2  | Internt        |           | duration=0\&unit=0 |

## Related MDO Lists

* "projecttypeheadings"
* "projecttypeheadingswithallitem"
* "projecttypeheadingswithallitemwithnoselection"
* "projecttypeheadingswithnoselection"
* "projecttypewithallitem"
* "projecttypewithallitemwithnoselection"
* "projecttypewithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.ProjectType](/en/api/reference/webapi/SuperOffice.WebApi.Data.ProjectType.md)
- [projecttypeflatlist](/en/api/mdo-providers/reference/projecttypeflatlist.md)
- [ProjectTypeStatusLink table](/en/database/tables/projecttypestatuslink.md)
- [SuperOffice.WebApi.Data.ProjectTypeEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.ProjectTypeEntity.md)
- [SuperOffice.WebApi.Data.ProjectTypeStatusLink](/en/api/reference/webapi/SuperOffice.WebApi.Data.ProjectTypeStatusLink.md)
- [SuperOffice.WebApi.Data.ProjectEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.ProjectEntity.md)
